查看: 97|回复: 0

安装好turch后又出现如下提示

[复制链接]

892

主题

940

帖子

3892

积分

管理员

Rank: 9Rank: 9Rank: 9

积分
3892

最佳新人

发表于 2024-6-14 15:19:27 | 显示全部楼层 |阅读模式
Launching Web UI with arguments: --xformers
WARNING:xformers:WARNING[XFORMERS]: xFormers can't load C++/CUDA extensi哔~. xFormers was built for:
    PyTorch 2.0.1+cu118 with CUDA 1108 (you have 2.1.2+cu121)
    Python  3.10.11 (you have 3.10.6)
  Please reinstall xformers (see https://github.com/facebookresearch/xformers#installing-xformers)
  Memory-efficient attention, SwiGLU, sparse and more won't be available.
  Set XFORMERS_MORE_DETAILS=1 for more details
=================================================================================
You are running xformers 0.0.20.
The program is tested to work with xformers 0.0.23.post1.
To reinstall the desired version, run with commandline flag --reinstall-xformers.

Use --skip-version-check commandline argument to disable this check.



尝试解决

在webui-user.bat 文件所在的文件夹,右键启动终端
然后运行  
pip3 install -U xformers --index-url https://download.pytorch.org/whl/cu118

等待下载和安装

屏幕截图 2024-06-14 153003.jpg

安装成功后提示如下红字,
屏幕截图 2024-06-14 153351.png

先不管,继续输入下面这个命令行:
pip3 install -U xformers --index-url https://download.pytorch.org/whl/cu121
然后出现一堆白字
屏幕截图 2024-06-14 153831.png


运行
pip install --pre -U xformers


屏幕截图 2024-06-14 154842.png

运行后报错
卸载XFORMER,重装xformers
pip uninstall xformers
pip install xformers==0.0.26


升级CUDA
先查看以下显卡CUDA  运行nvidia-smi查看,得到 CUDA Version: 12.5

https://developer.nvidia.com/cud ... rget_type=exe_local
下载安装12.5

根据提示好像是版本问题,那么输入以下代码:

pip install torch==2.3.0 torchvision==0.18.0 torchaudio==2.3.0

尝试改成2.1.0

pip install torch==2.1.0+cu118 --extra-index-url https://download.pytorch.org/whl/cu118

pip install xformers==0.0.23 --no-deps -i https://download.pytorch.org/whl/cu118



这种不知道是如何解决了。。有知道的小伙伴么?麻烦回帖告知一下。


最后卸载删除全部,然后重新安装了SD。算是暴力解决了。


关注galaxixv,官方微信公众号。
GALAXIX UE4 讨论学习群 140439020
UE4精英学习群  12762592
UNITY学习群   194092348
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则


快速回复 返回顶部 返回列表